diff -Nru dpkg-1.14.22/scripts/dpkg-source.pl dpkg-1.14.22ubuntu1/scripts/dpkg-source.pl
--- dpkg-1.14.22/scripts/dpkg-source.pl	2008-08-26 14:52:08.000000000 +0100
+++ dpkg-1.14.22ubuntu1/scripts/dpkg-source.pl	2008-11-01 01:50:50.000000000 +0000
@@ -248,6 +248,22 @@
     
     $fields->{'Binary'} = join(', ', @binarypackages);
 
+    # check that Maintainer/XSBC-Original-Maintainer comply to
+    # https://wiki.ubuntu.com/DebianMaintainerField
+    if (defined($fields->{Version}) and defined($fields->{Maintainer}) and
+	$fields->{Version} =~ /ubuntu/) {
+	if ($fields->{'Maintainer'} !~ /ubuntu/i) {
+	    if (defined ($ENV{'DEBEMAIL'}) and $ENV{'DEBEMAIL'} =~ /\@ubuntu\.com/) {
+		error(_g('Version number suggests Ubuntu changes, but Maintainer: does not have Ubuntu address'));
+	    } else {
+		warning(_g('Version number suggests Ubuntu changes, but Maintainer: does not have Ubuntu address'));
+	    }
+	}
+	unless ($fields->{'Original-Maintainer'}) {
+	    warning(_g('Version number suggests Ubuntu changes, but there is no XSBC-Original-Maintainer field'));
+	}
+    }
+ 
     # Generate list of formats to try
     my @try_formats;
     push @try_formats, $fields->{'Format'} if exists $fields->{'Format'};
